API referenceReads
Read page
A page as the PDF renders it, with its lines.
POST
A page as the PDF renders it, with its lines.
header
x-api-key<token>Scope: manuals:read
id*stringMatch
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$page*integerRange
1 <= valueapplication/json- body
pixelsPerPoint?numberRange
0 < value <= 100areRegionsOutlined?booleanThe picture's link and size, the scale to PDF points, and the lines
application/json- response
requestId*stringMatch
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$page*integerpicture*scale*numberorigin*array<any>lines*array<>outlinedRegionIds*array<string>curl -X POST 'https://www.chameleonlabs.org/api/manuals/string/pages/1/read' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "requestId": "string", "page": 0, "picture": { "url": "http://example.com", "expiresAt": "2019-08-24T14:15:22Z", "path": "string", "width": 0, "height": 0 }, "scale": 0, "origin": [ -100000, -100000 ], "lines": [ { "text": "string", "box": [ 0, 0, 0, 0 ] } ], "outlinedRegionIds": [ "string" ]}Read card POST
A saved card drawn as the glasses draw it, with its elements and the box around each. The card is drawn at the page's size, one pixel a display pixel, from the assets as they were last built and the uploaded pictures: a stale asset as it was built, and a picture with no asset or no file as the card builder's dashed outline. A text is drawn in the lines the card builder breaks it into.
Read page colors POST
The rendered color at points of a page, and the page's detected color.